Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network234.0.0.0/7
Usable hosts33,554,430
Subnet mask254.0.0.0
Addresses33,554,432
Network address
234.0.0.0
Broadcast address
235.255.255.255
First usable
234.0.0.1
Last usable
235.255.255.254
Usable hosts
33,554,430 (33,554,432 less the network and broadcast addresses)
Subnet mask
254.0.0.0
Wildcard mask
1.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/7
Type
Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols
Old class
D (multicast)
As numbers
Hex EA000000 · Integer 3925868544 to 3959422975
Reverse DNS zones
234.in-addr.arpa
235.in-addr.arpa
/7 is not on a 8-bit boundary, so it takes 2 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11101010.00000000.00000000.00000000234.0.0.0
Subnet mask11111110.00000000.00000000.00000000254.0.0.0
Network11101010.00000000.00000000.00000000234.0.0.0
Broadcast11101011.11111111.11111111.11111111235.255.255.255
Split into smaller subnets/14

234.0.0.0/7 makes 128 subnets of /14.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1234.0.0.0/14234.0.0.1 to 234.3.255.254234.3.255.255262,142
2234.4.0.0/14234.4.0.1 to 234.7.255.254234.7.255.255262,142
3234.8.0.0/14234.8.0.1 to 234.11.255.254234.11.255.255262,142
4234.12.0.0/14234.12.0.1 to 234.15.255.254234.15.255.255262,142
5234.16.0.0/14234.16.0.1 to 234.19.255.254234.19.255.255262,142
6234.20.0.0/14234.20.0.1 to 234.23.255.254234.23.255.255262,142
7234.24.0.0/14234.24.0.1 to 234.27.255.254234.27.255.255262,142
8234.28.0.0/14234.28.0.1 to 234.31.255.254234.31.255.255262,142
9234.32.0.0/14234.32.0.1 to 234.35.255.254234.35.255.255262,142
10234.36.0.0/14234.36.0.1 to 234.39.255.254234.39.255.255262,142
11234.40.0.0/14234.40.0.1 to 234.43.255.254234.43.255.255262,142
12234.44.0.0/14234.44.0.1 to 234.47.255.254234.47.255.255262,142
13234.48.0.0/14234.48.0.1 to 234.51.255.254234.51.255.255262,142
14234.52.0.0/14234.52.0.1 to 234.55.255.254234.55.255.255262,142
15234.56.0.0/14234.56.0.1 to 234.59.255.254234.59.255.255262,142
16234.60.0.0/14234.60.0.1 to 234.63.255.254234.63.255.255262,142
17234.64.0.0/14234.64.0.1 to 234.67.255.254234.67.255.255262,142
18234.68.0.0/14234.68.0.1 to 234.71.255.254234.71.255.255262,142
19234.72.0.0/14234.72.0.1 to 234.75.255.254234.75.255.255262,142
20234.76.0.0/14234.76.0.1 to 234.79.255.254234.79.255.255262,142
21234.80.0.0/14234.80.0.1 to 234.83.255.254234.83.255.255262,142
22234.84.0.0/14234.84.0.1 to 234.87.255.254234.87.255.255262,142
23234.88.0.0/14234.88.0.1 to 234.91.255.254234.91.255.255262,142
24234.92.0.0/14234.92.0.1 to 234.95.255.254234.95.255.255262,142
25234.96.0.0/14234.96.0.1 to 234.99.255.254234.99.255.255262,142
26234.100.0.0/14234.100.0.1 to 234.103.255.254234.103.255.255262,142
27234.104.0.0/14234.104.0.1 to 234.107.255.254234.107.255.255262,142
28234.108.0.0/14234.108.0.1 to 234.111.255.254234.111.255.255262,142
29234.112.0.0/14234.112.0.1 to 234.115.255.254234.115.255.255262,142
30234.116.0.0/14234.116.0.1 to 234.119.255.254234.119.255.255262,142
31234.120.0.0/14234.120.0.1 to 234.123.255.254234.123.255.255262,142
32234.124.0.0/14234.124.0.1 to 234.127.255.254234.127.255.255262,142
33234.128.0.0/14234.128.0.1 to 234.131.255.254234.131.255.255262,142
34234.132.0.0/14234.132.0.1 to 234.135.255.254234.135.255.255262,142
35234.136.0.0/14234.136.0.1 to 234.139.255.254234.139.255.255262,142
36234.140.0.0/14234.140.0.1 to 234.143.255.254234.143.255.255262,142
37234.144.0.0/14234.144.0.1 to 234.147.255.254234.147.255.255262,142
38234.148.0.0/14234.148.0.1 to 234.151.255.254234.151.255.255262,142
39234.152.0.0/14234.152.0.1 to 234.155.255.254234.155.255.255262,142
40234.156.0.0/14234.156.0.1 to 234.159.255.254234.159.255.255262,142
41234.160.0.0/14234.160.0.1 to 234.163.255.254234.163.255.255262,142
42234.164.0.0/14234.164.0.1 to 234.167.255.254234.167.255.255262,142
43234.168.0.0/14234.168.0.1 to 234.171.255.254234.171.255.255262,142
44234.172.0.0/14234.172.0.1 to 234.175.255.254234.175.255.255262,142
45234.176.0.0/14234.176.0.1 to 234.179.255.254234.179.255.255262,142
46234.180.0.0/14234.180.0.1 to 234.183.255.254234.183.255.255262,142
47234.184.0.0/14234.184.0.1 to 234.187.255.254234.187.255.255262,142
48234.188.0.0/14234.188.0.1 to 234.191.255.254234.191.255.255262,142
49234.192.0.0/14234.192.0.1 to 234.195.255.254234.195.255.255262,142
50234.196.0.0/14234.196.0.1 to 234.199.255.254234.199.255.255262,142
51234.200.0.0/14234.200.0.1 to 234.203.255.254234.203.255.255262,142
52234.204.0.0/14234.204.0.1 to 234.207.255.254234.207.255.255262,142
53234.208.0.0/14234.208.0.1 to 234.211.255.254234.211.255.255262,142
54234.212.0.0/14234.212.0.1 to 234.215.255.254234.215.255.255262,142
55234.216.0.0/14234.216.0.1 to 234.219.255.254234.219.255.255262,142
56234.220.0.0/14234.220.0.1 to 234.223.255.254234.223.255.255262,142
57234.224.0.0/14234.224.0.1 to 234.227.255.254234.227.255.255262,142
58234.228.0.0/14234.228.0.1 to 234.231.255.254234.231.255.255262,142
59234.232.0.0/14234.232.0.1 to 234.235.255.254234.235.255.255262,142
60234.236.0.0/14234.236.0.1 to 234.239.255.254234.239.255.255262,142
61234.240.0.0/14234.240.0.1 to 234.243.255.254234.243.255.255262,142
62234.244.0.0/14234.244.0.1 to 234.247.255.254234.247.255.255262,142
63234.248.0.0/14234.248.0.1 to 234.251.255.254234.251.255.255262,142
64234.252.0.0/14234.252.0.1 to 234.255.255.254234.255.255.255262,142
65235.0.0.0/14235.0.0.1 to 235.3.255.254235.3.255.255262,142
66235.4.0.0/14235.4.0.1 to 235.7.255.254235.7.255.255262,142
67235.8.0.0/14235.8.0.1 to 235.11.255.254235.11.255.255262,142
68235.12.0.0/14235.12.0.1 to 235.15.255.254235.15.255.255262,142
69235.16.0.0/14235.16.0.1 to 235.19.255.254235.19.255.255262,142
70235.20.0.0/14235.20.0.1 to 235.23.255.254235.23.255.255262,142
71235.24.0.0/14235.24.0.1 to 235.27.255.254235.27.255.255262,142
72235.28.0.0/14235.28.0.1 to 235.31.255.254235.31.255.255262,142
73235.32.0.0/14235.32.0.1 to 235.35.255.254235.35.255.255262,142
74235.36.0.0/14235.36.0.1 to 235.39.255.254235.39.255.255262,142
75235.40.0.0/14235.40.0.1 to 235.43.255.254235.43.255.255262,142
76235.44.0.0/14235.44.0.1 to 235.47.255.254235.47.255.255262,142
77235.48.0.0/14235.48.0.1 to 235.51.255.254235.51.255.255262,142
78235.52.0.0/14235.52.0.1 to 235.55.255.254235.55.255.255262,142
79235.56.0.0/14235.56.0.1 to 235.59.255.254235.59.255.255262,142
80235.60.0.0/14235.60.0.1 to 235.63.255.254235.63.255.255262,142
81235.64.0.0/14235.64.0.1 to 235.67.255.254235.67.255.255262,142
82235.68.0.0/14235.68.0.1 to 235.71.255.254235.71.255.255262,142
83235.72.0.0/14235.72.0.1 to 235.75.255.254235.75.255.255262,142
84235.76.0.0/14235.76.0.1 to 235.79.255.254235.79.255.255262,142
85235.80.0.0/14235.80.0.1 to 235.83.255.254235.83.255.255262,142
86235.84.0.0/14235.84.0.1 to 235.87.255.254235.87.255.255262,142
87235.88.0.0/14235.88.0.1 to 235.91.255.254235.91.255.255262,142
88235.92.0.0/14235.92.0.1 to 235.95.255.254235.95.255.255262,142
89235.96.0.0/14235.96.0.1 to 235.99.255.254235.99.255.255262,142
90235.100.0.0/14235.100.0.1 to 235.103.255.254235.103.255.255262,142
91235.104.0.0/14235.104.0.1 to 235.107.255.254235.107.255.255262,142
92235.108.0.0/14235.108.0.1 to 235.111.255.254235.111.255.255262,142
93235.112.0.0/14235.112.0.1 to 235.115.255.254235.115.255.255262,142
94235.116.0.0/14235.116.0.1 to 235.119.255.254235.119.255.255262,142
95235.120.0.0/14235.120.0.1 to 235.123.255.254235.123.255.255262,142
96235.124.0.0/14235.124.0.1 to 235.127.255.254235.127.255.255262,142
97235.128.0.0/14235.128.0.1 to 235.131.255.254235.131.255.255262,142
98235.132.0.0/14235.132.0.1 to 235.135.255.254235.135.255.255262,142
99235.136.0.0/14235.136.0.1 to 235.139.255.254235.139.255.255262,142
100235.140.0.0/14235.140.0.1 to 235.143.255.254235.143.255.255262,142
101235.144.0.0/14235.144.0.1 to 235.147.255.254235.147.255.255262,142
102235.148.0.0/14235.148.0.1 to 235.151.255.254235.151.255.255262,142
103235.152.0.0/14235.152.0.1 to 235.155.255.254235.155.255.255262,142
104235.156.0.0/14235.156.0.1 to 235.159.255.254235.159.255.255262,142
105235.160.0.0/14235.160.0.1 to 235.163.255.254235.163.255.255262,142
106235.164.0.0/14235.164.0.1 to 235.167.255.254235.167.255.255262,142
107235.168.0.0/14235.168.0.1 to 235.171.255.254235.171.255.255262,142
108235.172.0.0/14235.172.0.1 to 235.175.255.254235.175.255.255262,142
109235.176.0.0/14235.176.0.1 to 235.179.255.254235.179.255.255262,142
110235.180.0.0/14235.180.0.1 to 235.183.255.254235.183.255.255262,142
111235.184.0.0/14235.184.0.1 to 235.187.255.254235.187.255.255262,142
112235.188.0.0/14235.188.0.1 to 235.191.255.254235.191.255.255262,142
113235.192.0.0/14235.192.0.1 to 235.195.255.254235.195.255.255262,142
114235.196.0.0/14235.196.0.1 to 235.199.255.254235.199.255.255262,142
115235.200.0.0/14235.200.0.1 to 235.203.255.254235.203.255.255262,142
116235.204.0.0/14235.204.0.1 to 235.207.255.254235.207.255.255262,142
117235.208.0.0/14235.208.0.1 to 235.211.255.254235.211.255.255262,142
118235.212.0.0/14235.212.0.1 to 235.215.255.254235.215.255.255262,142
119235.216.0.0/14235.216.0.1 to 235.219.255.254235.219.255.255262,142
120235.220.0.0/14235.220.0.1 to 235.223.255.254235.223.255.255262,142
121235.224.0.0/14235.224.0.1 to 235.227.255.254235.227.255.255262,142
122235.228.0.0/14235.228.0.1 to 235.231.255.254235.231.255.255262,142
123235.232.0.0/14235.232.0.1 to 235.235.255.254235.235.255.255262,142
124235.236.0.0/14235.236.0.1 to 235.239.255.254235.239.255.255262,142
125235.240.0.0/14235.240.0.1 to 235.243.255.254235.243.255.255262,142
126235.244.0.0/14235.244.0.1 to 235.247.255.254235.247.255.255262,142
127235.248.0.0/14235.248.0.1 to 235.251.255.254235.251.255.255262,142
128235.252.0.0/14235.252.0.1 to 235.255.255.254235.255.255.255262,142

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses